server:
  port: 8108

spring:
  application:
    name: baogutang-strategy
  datasource:
    driverClassName: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://117.72.78.133:3306/baogutang?characterEncoding=UTF-8
    username: baogutang
    password: dPy6Cwp4Fxi5AFpe
    hikari:
      max-lifetime: 60000

app:
  account:
    equity: 10000
    riskPercent: 0.02
    maxDailyLossPercent: 0.08
    maxConsecutiveLoss: 3
    portfolioMaxOpenRiskPercent: 0.10
  timeframes: [ M15,H1,H4 ]
  symbols:
    - instId: BTC-USDT-SWAP
      enable: true
      riskPercentOverride: 0.015
      levels:
        s1High: 64000
        s1Low: 63650
        s2High: 62800
        s2Low: 62200
        r1Low: 64850
        r1High: 65200
        r2Low: 66000
        r2High: 66650
        breakoutConfirm: 66000
      strategies: [ LowReboundLong, MeanRevertShort, BreakdownRetestShort, BreakoutRetestLong ]
    - instId: ETH-USDT-SWAP
      enable: true
      levels:
        s1High: 3150
        s1Low: 3110
        s2High: 3050
        s2Low: 3000
        r1Low: 3220
        r1High: 3255
        r2Low: 3320
        r2High: 3360
        breakoutConfirm: 3320
      strategies: [ LowReboundLong, MeanRevertShort, BreakoutRetestLong ]
    - instId: PEPE-USDT-SWAP
      enable: true
      levels:
        s1High: 0.00001105
        s1Low: 0.00001095
        s2High: 0.00001085
        s2Low: 0.00001080
        r1Low: 0.00001140
        r1High: 0.00001155
        r2Low: 0.00001180
        r2High: 0.00001190
        breakoutConfirm: 0.00001190
      strategies: [ LowReboundLong, MeanRevertShort, BreakdownRetestShort, BreakoutRetestLong ]
    - instId: SOL-USDT-SWAP
      enable: true
      levels:
        s1High: 134
        s1Low: 132
        s2High: 126
        s2Low: 123
        r1Low: 138
        r1High: 141
        r2Low: 146
        r2High: 149
        breakoutConfirm: 146
      strategies: [ MeanRevertShort, BreakoutRetestLong ]

alert:
  dingTalk:
    robots:
      - name: defaultRobot
        webhook: "https://oapi.dingtalk.com/robot/send?access_token=80d4401d9e155f060aae73b416a23958eb0f89f7bede9b9dbb00568bd4d611a7"
        security:
          enable: true
          secret: "SECb8d0873db6a56f3c26f98aa527af95d9ac131e65f16bd404b6f8c877af160895"
        atMobiles: [ "18010816106" ]
        atAll: true
      - name: highGradeRobot
        webhook: "https://oapi.dingtalk.com/robot/send?access_token=80d4401d9e155f060aae73b416a23958eb0f89f7bede9b9dbb00568bd4d611a7"
        security:
          enable: true
          secret: "SECb8d0873db6a56f3c26f98aa527af95d9ac131e65f16bd404b6f8c877af160895"
        atMobiles: [ ]
        atAll: true

logging:
  level:
    root: INFO
